﻿using System;
using Android.App;
using Android.Support.V4.App;
using Android.Support.V4.Widget;
using Android.Widget;
using Xamarin.Forms;
using XamarinFormsAndroid.XamarinFormsHelper;

namespace XamarinFormsAndroid
{
    [Activity()]
    public class Navigaton2Activity : Activity
    {
		ActionBarDrawerToggle _drawerToggle;

        public Navigaton2Activity()
        {
        }

		protected override void OnDestroy ()
		{
			base.OnDestroy ();

			Console.WriteLine ("zxc");
			_contentView.Dispose ();
			//this.Dispose ();
		}
		protected override void OnPostCreate (Android.OS.Bundle savedInstanceState)
		{
			base.OnPostCreate (savedInstanceState);
			_drawerToggle.SyncState ();
		}
		public override void OnConfigurationChanged (Android.Content.Res.Configuration newConfig)
		{
			base.OnConfigurationChanged (newConfig);
			_drawerToggle.OnConfigurationChanged (newConfig);
		}

		public override bool OnOptionsItemSelected (Android.Views.IMenuItem item)
		{
			if (_drawerToggle.OnOptionsItemSelected (item))
				return true;

			return base.OnOptionsItemSelected (item);
		}

		Android.Views.View _contentView;

        protected override void OnCreate(Android.OS.Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            SetContentView(Resource.Layout.Navigation2);

			ActionBar.SetDisplayHomeAsUpEnabled(true);
			//ActionBar.SetHomeButtonEnabled(true);


            var leftDrawer = this.FindViewById<FrameLayout>(Resource.Id.left_drawer);
            var contentFrame = this.FindViewById<FrameLayout>(Resource.Id.content_frame);
			var drawer = this.FindViewById<DrawerLayout>(Resource.Id.drawer_layout);
			var oldTitle = ActionBar.Title;
			drawer.DrawerOpened += (sender, e) => {
				oldTitle = ActionBar.Title;
				ActionBar.Title = "asdasd";
			};
			drawer.DrawerClosed += (sender, e) => {
				ActionBar.Title=oldTitle;
			};

			_drawerToggle = new ActionBarDrawerToggle(this, drawer,
				Resource.Drawable.ic_drawer, Resource.String.Hello,
				Resource.String.ApplicationName);
			drawer.SetDrawerListener (_drawerToggle);

			leftDrawer.SetBackgroundColor (Android.Graphics.Color.Yellow);
			contentFrame.SetBackgroundColor (Android.Graphics.Color.AliceBlue);



			var btn1 = new Xamarin.Forms.Button () {
				Text = "Add Some labels",
			};
			var btn2 = new Xamarin.Forms.Button () {
				Text = "GC",
			};
			btn2.Clicked += (sender, e) => {
				GC.Collect();
				GC.WaitForPendingFinalizers();
			};
			var stackLayout = new StackLayout () {
				Children = {
					btn1,
					btn2,
				}
			};
			var i = 1;
			btn1.Clicked += (sender, e) => {
				i++;
				stackLayout.Children.Add(new Label() {
					Text = "asdasdasd" + i,
				});
			};
			var contentPage = new ContentPage () {
				Content = stackLayout
			};
			_contentView = contentPage.CreateView (this);
			contentFrame.AddView (_contentView);
            //SetPage (page);
        }
    }
}

