﻿using System;
using Android.App;
using Android.Content;
using Android.OS;
using Android.Views;
using Android.Widget;
using Xamarin.Forms;
using XamarinFormsAndroid.XamarinFormsHelper;

namespace XamarinFormsAndroid
{


    [Activity(Label = "MemoryForms", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        int count = 1;
        public override bool OnCreateOptionsMenu(IMenu menu)
        {
            var menuItem = menu.Add("w");
            menuItem.SetShowAsAction(ShowAsAction.Always);
            menuItem.SetActionView(Resource.Layout.SwitchLayout);
            return true;
        }
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);


            Forms.Init(this, bundle);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);
            ActionBar.Title = "asd";

            // Get our button from the layout resource,
            // and attach an event to it
            var button3 = FindViewById<Android.Widget.Button>(Resource.Id.myButton3);
            var button4 = FindViewById<Android.Widget.Button>(Resource.Id.myButton4);
            button3.Click += (object sender, EventArgs e) =>
            {
                var bundle3 = new Bundle();
                bundle3.PutBoolean("qwe", true);
                this.StartActivity(new Intent(this, typeof(Navigaton2Activity)), bundle3);
            };
            button4.Click += (object sender, EventArgs e) =>
            {
                GC.Collect();
                GC.WaitForPendingFinalizers();
                GC.Collect();
            };

        }

        public Page CreatePage(int i)
        {
            var stack = new StackLayout()
            {
                Orientation = StackOrientation.Vertical,

                Children = {
					new Xamarin.Forms.Button () {
						Text = "zxca" + i,

					},
					new Xamarin.Forms.Button () {
						Text = "zxcs" + i,
					}
				}
            };
            stack.VerticalOptions = LayoutOptions.Start;
            var content = new ContentPage()
            {
                Content = stack
            };

            return content;
        }
    }


}


